SDL_GetTextureColorMod(3)

NAME
SDL_GetTextureColorMod - Get the additional color value multiplied into render copy operations.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetTextureColorMod(SDL_Texture *texture, Uint8 *r, Uint8 *g, Uint8 *b);

FUNCTION PARAMETERS

texture
    the texture to query.

r   a pointer filled in with the current red color value.

g   a pointer filled in with the current green color value.

b   a pointer filled in with the current blue color value.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetTextureAlphaMod(3), SDL_GetTextureColorModFloat(3), SDL_SetTextureColorMod(3)